<?php

namespace DEVELUXSCT\Options;

use DEVELUXSCT\HTMLGenerators\TemplateRenderer;

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

class Plugin_Info
{
    public TemplateRenderer $develuxsct_renderer;

    public function __construct()
    {
        $this->renderer = new TemplateRenderer();
    }


    public function display_plugin_info(): void
    {
        echo wp_kses($this->renderer->render('general/plugin_info/plugin_info', [
            'id' => 'plugin-info'
        ]), TemplateRenderer::get_allowed_html());
        ?>

        <?php

    }


}

